Works fine in Firefox 3.6 Rated 4 out of 5 stars

No sé cómo decir esto correctamente, pero:

Login (to this website)
Under 'This addon is for older versions of Firefox', click 'Ignore version check'
Install

Works good so far.

This review is for a previous version of the add-on (1.1).